# Overview of Limio Cookies

Limio uses cookies to manage various aspects of user interaction, from authentication and security to personalizing shopping experiences and tracking user journeys. These cookies store information such as login credentials, user privileges, geographic location, shopping basket status, and journey flows to optimize both security and user experience.

| **Cookie**                  | **Type**                         | **Purpose**                                                                                                                                                                                                                                                      | **Data held**                                        | **Example**                                                                                                                                                                                                                                                                                                        | **Category**                    | **Expiry** |
| --------------------------- | -------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------- | ---------- |
| **lmo\_uid**                | <p>httpOnly: true<br><br>jwt</p> | <p>Authentication token for Limio application.<br><br>Contains security credentials for a login session and identifies the user and the user's privileges<br><br>Used to authenticate securely certain Limio API calls, such as adding an external Identity.</p> | Access token                                         | `{ "iss": "https://sandbox-shop.dev.limio.com", "iat": 1682594770, "exp": 1682598370, "sub": "id-35e6a9a846da7650bff64b8b91da86c7", "https://sandbox-shop.dev.limio.com/aut": { "iss": "https://cognito-idp.eu-central-1.amazonaws.com/eu-central-1_OVeGLt5bE", "sub": "b6da8802-bf05-4278-979b-b62ffe169945" } }` | Essential cookie                | 13 months  |
| **lmo\_session**            | sessionid                        | Can access the session and all user information contained in it.                                                                                                                                                                                                 | Session token                                        | `85PLDETPxCaCyRNztO5ddEiOY9Biex6p`                                                                                                                                                                                                                                                                                 | Essential cookie                | 13 months  |
| **lmo\_sid**                | sessionid                        | Marked as deprecated.                                                                                                                                                                                                                                            | Session token                                        | `85PLDETPxCaCyRNztO5ddEiOY9Biex6p`                                                                                                                                                                                                                                                                                 | Essential cookie                | 13 months  |
| **limio-country**           |                                  | Stores the users country of origin                                                                                                                                                                                                                               | Country                                              | `GB`                                                                                                                                                                                                                                                                                                               | Functional & performance cookie | Session    |
| **limio-journey**           |                                  | Contains the tag of the current journey                                                                                                                                                                                                                          | Journey tag                                          | `/cancel/`                                                                                                                                                                                                                                                                                                         | Functional & performance cookie | Session    |
| **limio-segment**           |                                  | Returns the segment the customer is in, usually returned from identity platform                                                                                                                                                                                  | Customer segment                                     | `pop-to-churn`                                                                                                                                                                                                                                                                                                     | Functional & performance cookie | Session    |
| **limio-journey-countries** |                                  | If the user has gone through a journey flow previously, this cookie defines other countries in the journey                                                                                                                                                       | Countries in the current journey                     | `["GB", "US"]`                                                                                                                                                                                                                                                                                                     | Functional & performance cookie | 5 hours    |
| **limio\_order**            | sessionStorage                   | If the user has started a new Basket in Limio Checkout, this will return the Basket ID                                                                                                                                                                           | Basket ID                                            | `basket-92346555-f300-4807-9d0e-d4293f2f00d0`                                                                                                                                                                                                                                                                      | Functional & performance cookie | Session    |
| **limio-authCheck**         | sessionStorage                   | During the SSO flow during federation this ensures that the flow is not going around in circles and provides the DateTime stamp of the last request for federation                                                                                               | Timestamp of last time federation has been requested | `b2023-06-29T12:58:23.689Z`                                                                                                                                                                                                                                                                                        | Essential cookie                | Session    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.limio.com/product/settings/browser/overview-of-limio-cookies.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
